/ai/token/delete
POST https://api.sitehost.nz/1.5/ai/token/delete.json
Deletes an AI token. The token stops working immediately, but its past usage is still included in usage reports.
Form Parameters
| Parameter | Type | Required | Description |
| client_id | integer | Yes | The ID for the client.Example: 1 |
| key_id | string | Yes | The ID of the token to delete.Example: 3f6c2a9e-8b14-4d7a-9c5e-1a2b3c4d5e6f |
Code Samples
JavaScript PHP Rails Pythonvar xmlHttp = new XMLHttpRequest();
xmlHttp.open("POST", "https://api.sitehost.nz/1.5/ai/token/delete.json", false);
var data = new FormData();
data.append("apikey", "your_key_here");
data.append("client_id", 1);
data.append("key_id", "3f6c2a9e-8b14-4d7a-9c5e-1a2b3c4d5e6f");
xmlHttp.send(data);
var response = xmlHttp.responseText;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.sitehost.nz/1.5/ai/token/delete.json");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
$body = array(
'apikey' => 'your_key_here',
'client_id' => 1,
'key_id' => '3f6c2a9e-8b14-4d7a-9c5e-1a2b3c4d5e6f',
);
curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
require 'net/http'
require 'uri'
uri = URI.parse("https://api.sitehost.nz/1.5/ai/token/delete.json")
http = Net::HTTP.new(uri.host, uri.port)
request = Net::HTTP::Post.new(uri.request_uri)
body = {"apikey" => "your_key_here",
"client_id" => 1,
"key_id" => "3f6c2a9e-8b14-4d7a-9c5e-1a2b3c4d5e6f",
}
request.set_form_data(body)
response = http.request(request)
import requests
from collections import OrderedDict
uri = 'https://api.sitehost.nz/1.5/ai/token/delete.json'
# We need ordered dictionary because parameters have to be in the right order.
# Refer to Developer Notes for more information.
body = OrderedDict()
body['apikey'] = 'your_key_here'
body['client_id'] = 1
body['key_id'] = '3f6c2a9e-8b14-4d7a-9c5e-1a2b3c4d5e6f'
response = requests.post(uri, data=body)
Response
200:application/json
{
"return": {
"deleted": true
},
"msg": "Successful",
"status": true
}
"return": {
"deleted": true
},
"msg": "Successful",
"status": true
}